<?php

namespace App\Repository;

use App\Entity\MakeController;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method MakeController|null find($id, $lockMode = null, $lockVersion = null)
 * @method MakeController|null findOneBy(array $criteria, array $orderBy = null)
 * @method MakeController[]    findAll()
 * @method MakeController[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class MakeControllerRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, MakeController::class);
    }

    // /**
    //  * @return MakeController[] Returns an array of MakeController objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('m')
            ->andWhere('m.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('m.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?MakeController
    {
        return $this->createQueryBuilder('m')
            ->andWhere('m.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
